HomePhabricator

[Sanitizer] Set minimum supported Mac OS X version to 10.9, if it wasn't…

Description

[Sanitizer] Set minimum supported Mac OS X version to 10.9, if it wasn't specified explicitly.

-fsanitize=vptr is a UBSan feature that doesn't work on older Mac OS X
versions, and we don't want to penalize users that use modern OS with
default configuration. Those who want to target older OS versions, can
specify that versions explicitly.

Details

Committed
samsonovJun 25 2015, 1:43 PM
Parents
rL240687: tsan: fix handling of dup2
Branches
Unknown
Tags
Unknown